uniform vec3 SkyColor1;
uniform vec3 SkyColor2;
uniform vec3 SkyColor3;

void main(void)
{
  float SkyFade = clamp(abs(gl_TexCoord[0].y), 0.0, 1.0);
  if (SkyFade < 0.75)
  {
    gl_FragColor = vec4(mix(SkyColor1, SkyColor2, SkyFade * (1.0 / 0.75)), 1.0);
  }
  else
  {
    gl_FragColor = vec4(mix(SkyColor2, SkyColor3, (SkyFade - 0.75) * (1.0 / (1.0 - 0.75))), 1.0);
  }
}
